Subject: Re: linear sk_buff

From: "Rémi Denis-Courmont" <[email-masked]>
Date: Wed, 5 May 2010 22:35:08 +0300

Le mercredi 5 mai 2010 22:12:06 Mark Ryden, vous avez écrit :
> Hello,
>  I would appreciate if someone in this mailing list  can say in a
> sentence or two what is a linear
> sk_buff and what is a non linear sk_buff; does it has to do with
> fragmentation? (I am sure that many know the answer, but I am confused and
> googling made me overconfused)

A linear sk_buff is one that has no memory pages and no fragments sk_buff.

Such a buffer is made of a contiguous portion of the (kernel) memory.

-- 
Rémi Denis-Courmont
http://www.remlab.net/
http://fi.linkedin.com/in/remidenis